*-----------------------------------------------------------------------
      SUBROUTINE SGLNXR(RX1,RY1,RX2,RY2,INDEX,ICOLOR)

      LOGICAL LFCATR

      CALL SWQFCC(LFCATR)
      IF(.NOT.LFCATR) THEN
        CALL MSGDMP('M','SGLNXR','FULL COLOR MODE IS NOT SUPPORTED.')
      END IF

      IF (INDEX.EQ.0) THEN
        CALL MSGDMP('M','SGLNXR','LINE INDEX IS 0 / DO NOTHING.')
        RETURN
      END IF
      IF (INDEX.LT.0) THEN
        CALL MSGDMP('E','SGLNXR','LINE INDEX IS LESS THAN 0.')
      END IF

      CALL SWSFCM(.TRUE.)
      CALL SWSLCL(ICOLOR)

      CALL SZLNOP(INDEX)
      CALL SZLNZR(RX1,RY1,RX2,RY2)
      CALL SZLNCL

      CALL SWSFCM(.FALSE.)

      END
